Bug 477735 - knotify4 tops powertop's wakers list
knotify4 tops powertop's wakers list
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdebase-runtime (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Reopened
Depends On: kde42
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-23 01:11 EST by Amit Shah
Modified: 2009-02-19 06:42 EST (History)
8 users (show)

See Also:
Fixed In Version: KDE 4.2.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-19 06:42:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 156215 None None None Never

  None (edit)
Description Amit Shah 2008-12-23 01:11:14 EST
Description of problem:

Powertop output on my laptop shows these processes at the top:

Top causes for wakeups:
  40.7% (100.0)          knotify4 : __mod_timer (process_timeout)
  27.4% ( 67.4)      <kernel IPI> : Rescheduling interrupts
  14.3% ( 35.1)       <interrupt> : ahci, uhci_hcd:usb6, i915@pci:0000:00:02.0
   5.3% ( 13.1)           firefox : futex_wait (hrtimer_wakeup)
   2.2% (  5.5)             artsd : __mod_timer (process_timeout)

knotify4 is much higher than even firefox!
Comment 1 Rex Dieter 2008-12-23 09:57:41 EST
Known issue with kde-4.1, it's most likely phonon-backend-xine, which is addressed in kde-4.2 (coming soon).
Comment 2 Lukáš Tinkl 2008-12-29 09:34:19 EST
Quite likely, I don't see this with phonon-gstreamer which I'm using
Comment 3 Rex Dieter 2008-12-29 10:48:52 EST
See also kde bug, http://bugs.kde.org/156215
Comment 4 Lukáš Tinkl 2009-01-05 05:10:44 EST
Fixed in upstream, will be in KDE 4.2
Comment 5 Kevin Kofler 2009-02-09 13:20:05 EST
Reopening to track KDE 4.2 push (reference added to the KDE 4.2 update, so Bodhi should autoclose it).

Note You need to log in before you can comment on or make changes to this bug.